### Constructor

# Gtk AspectFramenew

#### Declaration [src]

    GtkWidget*
    gtk_aspect_frame_new (
      float xalign,
      float yalign,
      float ratio,
      gboolean obey_child
    )

#### Description [src]

Create a new `GtkAspectFrame`.

#### Parameters

`xalign`

  Type: `float`

  Horizontal alignment of the child within the parent. Ranges from 0.0 (left aligned) to 1.0 (right aligned)

`yalign`

  Type: `float`

  Vertical alignment of the child within the parent. Ranges from 0.0 (top aligned) to 1.0 (bottom aligned)

`ratio`

  Type: `float`

  The desired aspect ratio.

`obey_child`

  Type: `gboolean`

  If `TRUE`, `ratio` is ignored, and the aspect ratio is taken from the requistion of the child.

#### Return value

Type: `GtkWidget`

The new `GtkAspectFrame`.

The data is owned by the called function.